
const express = require("express");
const app  = express();
var http = require('http').createServer(app);
const io = require('socket.io')(http);

http.listen(8080, function () {
  console.log('Express is running on port 80')
})

//________________webApi__________________

// ルーティングの設定
app.get("/", (req, res) =>{
  res.sendFile(`${__dirname}/public/webApi/index.html`);
    console.log("webApi/indexへアクセスがありました");
});

app.get("/webApi/css/main.css", (req, res) =>{
  res.sendFile(`${__dirname}/public/css/main.css`);
    console.log("webjsへアクセスがありました");
});

app.get("/webApi/javascript/main.js", (req, res) =>{
  res.sendFile(`${__dirname}/public/webApi/javascript/main.js`);
    console.log("web jsへアクセスがありました");
});

app.get("/webApi/javascript/grammar.js", (req, res) =>{
  res.sendFile(`${__dirname}/public/webApi/javascript/grammar.js`);
    console.log("web grammarへアクセスがありました");
});

app.get("/webApi/javascript/dragg.js", (req, res) =>{
  res.sendFile(`${__dirname}/public/webApi/javascript/dragg.js`);
    console.log("webjs draggへアクセスがありました");
});

//____________その他______________

app.get("/grammar", (req, res) =>{
  res.sendFile(`${__dirname}/public/grammar.json`);
    console.log("json へアクセスがありました");
});

// ルーティングの設定
app.get("/images/tec.jpg", (req, res) =>{
  res.sendFile(`${__dirname}/public/images/tec.jpg`);
    console.log("webApi/image_tecへアクセスがありました");
});

//_________socket__________

io.sockets.on( 'connection', function (socket) {

  console.log("接続しました")

  //音声が来たら

  socket.on('roomConnect', function ( id ) {

    console.log(id+"にconnectしました。");
    
    socket.join(id);

    socket.on('ChatData', function ( data ) {

      console.log(data+"が入力されました。");
      
      socket.broadcast.to(id).emit("ChatData", data);
  
    });

    socket.on('soundMessage', function ( data ) {

      console.log("サウンドメッセージが来ました。");
      
      socket.broadcast.to(id).emit("soundMessage", data);
  
    });

    socket.on( 'sound', function ( sound ) {
      // ブラウザから受け取った音声をもう一方のブラウザへ送る
      console.log(sound);
      socket.broadcast.to(id).emit("sound", sound);
      
    });

  });
 
});

module.exports = app;
